package mmaplayers;


import java.util.List;

public class Fighter {
	 
	private static int AUTO_ID = 0;
	
	private int id;
	private String name;
	private List<String> categories;
	private String bestDiscipline;
	private int victories;
	private int loses;
	
	
	public Fighter(int id, String name, String bestDiscipline, List<String> categories, int victories, int loses) {
		this.id = ++AUTO_ID;
		this.name = name;
		this.categories = categories;
		this.bestDiscipline = bestDiscipline;
		this.victories = victories;
		this.loses = loses;
		
		
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return title;
	}

	public void setTitle(String title) {
		this.name = name;
	}

	public List<String> getCategories() {
		return categories;
	}

	public void setCategories(List<String> categories) {
		this.categories = categories;
	}

	public String getBestDiscipline() {
		return bestDiscipline;
	}

	public void setBestDiscipline(String year) {
		this.bestDiscipline = bestDiscipline;
	}
	
	public int getVictories() {
		return victories;
	}

	public void setBestDiscipline(String year) {
		this.victories = victories;
	}
	
	public int getLoses() {
		return loses;
	}

	public void setBestDiscipline(String year) {
		this.loses = loses;
	}
	
	

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((categories == null) ? 0 : categories.hashCode());
		result = prime * result + (int) (id ^ (id >>> 32));
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((bestDiscipline == null) ? 0 : bestDiscipline.hashCode());
		return result;  //revisar mas adelante
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Film other = (Film) obj;
		if (genres == null) {
			if (other.genres != null)
				return false;
		} else if (!categories.equals(other.genres))
			return false;
		if (id != other.id)
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (bestDiscipline == null) {
			if (other.bestDiscipline != null)
				return false;
		} else if (!bestDiscipline.equals(other.bestDiscipline))
			return false;
		if (victories != other.victories)
			return false;
		if (loses != other.loses)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Luchador [id=" + id + ", nombre=" + name + ", categoria=" + categories + ", mejor disciplina=" + bestDiscipline + "victorias "+victories+" derrotas"+loses"]";
	}

	
	
	
	

}